> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 竞争对手

> 此端点将提供与目标网站共享部分反向链接配置的竞争对手列表，以及反向链接数量...



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/backlinks/competitors/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/backlinks/competitors/live:
    post:
      summary: 竞争对手
      description: 此端点将提供与目标网站共享部分反向链接配置文件的竞争对手列表，以及反向链接交集数量和每个竞争网站的排名。
      operationId: post_dataforseo_backlinks_competitors_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                target:
                  type: string
                  description: >-
                    用于获取竞争对手域名的域名、子域名或网页。必填字段。域名或子域名应在不包含 https:// 和 www.
                    的情况下指定。页面应使用绝对 URL（包括 http:// 或 https://）指定
                limit:
                  type: integer
                  description: 返回域名的最大数量，可选字段，默认值：100，最大值：1000
                offset:
                  type: integer
                  description: 返回域名的结果数组偏移量，可选字段。默认值：0。如果指定值 10，结果数组中的前十个域名将被省略，并提供后续页面的数据
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果过滤参数数组 可选字段 可同时添加多个过滤条件（最多 8 个） 应在条件之间设置逻辑运算符 and、or
                    支持以下运算符：regex、not_regex、=、,、in、not_in、like、not_like、ilike、not_ilike、match、not_match
                    可将 % 运算符与 like 和 not_like 配合使用，以匹配包含零个或多个字符的任意字符串
                    示例：["rank",">","100"] [["target","like","%forbes%"], "and",
                    [["rank",">","100"],"or",["intersections",">","5"]]]
                    可用过滤器的完整列表请参阅此处。
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则 可选字段 可以使用与 filters 数组中相同的值对结果进行排序 可用排序类型：asc –
                    结果将按升序排列 desc – 结果将按降序排列 应使用逗号设置排序类型 示例：["rank,desc"]
                    注意，单个请求最多可设置三个排序规则 应使用逗号分隔多个排序规则
                    示例：["intersections,desc","rank,asc"]
                main_domain:
                  type: boolean
                  description: 指示搜索是否仅包含目标的主域名。可选字段；如果设置为 true，搜索将仅包含主域名；默认值：true
                exclude_large_domains:
                  type: boolean
                  description: >-
                    指示大型域名是否会出现在结果中，可选字段。如果设置为
                    true，将省略来自大型域名（google.com、amazon.com 等）的结果；默认值：true
                exclude_internal_backlinks:
                  type: boolean
                  description: >-
                    指示是否从结果中排除子域名指向目标的内部反向链接；可选字段；如果设置为 true，结果将不包含与 target
                    同一域名下的子域名所产生的内部反向链接数据；如果设置为 false，结果将包含内部链接；默认值：true
                rank_scale:
                  type: string
                  description: >-
                    定义用于计算和显示 rank、domain_from_rank 和 page_from_rank
                    值的刻度，可选字段。可以使用此参数选择以 0–100 或 0–1000 刻度显示排名值。可用值：one_hundred
                    — 排名值以 0–100 刻度显示；one_thousand — 排名值以 0–1000
                    刻度显示。默认值：one_thousand。有关此参数的工作方式及排名指标计算方法的更多信息，请参阅此帮助中心文章
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - target
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中相关项目的总数
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中的项目数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: items 数组
                  tasks.result.items.type:
                    type: string
                    description: 元素类型 = ‘backlinks_competitors’
                  tasks.result.items.target:
                    type: string
                    description: 竞争对手域名
                  tasks.result.items.rank:
                    type: integer
                    description: >-
                      域名排名，即该域名在数据库所有域名中的排名。排名根据关联数据库中的节点排名方法计算，此原理曾用于最初的 Google
                      PageRank 算法。有关此指标及其计算方法的更多信息，请参阅此帮助中心文章
                  tasks.result.items.intersections:
                    type: integer
                    description: 表示与 POST 数组中指定目标的反向链接交集数量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````